[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.AlphaBlendIgnoringDestPixels

Performs an AlphaBlend operation assuming a white background.

## Declaration

Source position: lazcanvas.pas line 132

`public procedure TLazCanvas.AlphaBlendIgnoringDestPixels(`
`ASource: TLazCanvas;`
`const ADestX: Integer;`
`const ADestY: Integer;`
`const ASourceX: Integer;`
`const ASourceY: Integer;`
`const ASourceWidth: Integer;`
`const ASourceHeight: Integer`
`);`

## Arguments

`ASource` |  | Lazarus canvas with the content alpha blended onto the current class instance.
`ADestX` |  | Left coordinate where the content in ASource is applied.
`ADestY` |  | Top coordinate where the content in ASource is applied.
`ASourceX` |  | Left coordinate for the content in ASource applied in the method.
`ASourceY` |  | Top coordinate for the content in ASource applied in the method.
`ASourceWidth` |  | Width (in pixels) of the content in ASource applied in the method.
`ASourceHeight` |  | Height (in pixels) of the content in ASource applied in the method.

## Description

This is a safer version for use where the destination pixels may not be consistent or valid. It will draw as if the target area contained opaque white pixels.

## See also

TLazCanvas.AlphaBlend |  | Alpha blends the specified content from the source canvas onto the canvas instance.